## elvis-tiny 1.4

=== debian/changelog ===
elvis-tiny (1.4-25) unstable; urgency=medium

  [ Andreas Tille ]
  * QA upload.
    Closes: #1109586
  * Set packages.d.o as Homepage to express that there is no official homepage
  * Maintain package on Salsa in Debian team
  * Cleanup patches by refreshing
  * [skip ci] Start modernising code to build with gcc-14/15
  * cme fix dpkg-control
  * d/rules: Add -Wno-error=incompatible-pointer-types to be sure package builds
  * Add #DEBHELPER# to postinst/prerm
  * Build-Depends: s/libncurses5-dev/libncurses-dev/

  [ наб ]
  * d/p/0016: GCC-14 (Clang 21) (Closes: #1074934)
  * debhelper-compat (= 13)
  * d/rules: ignore -Wunused-result
  * d/rules: simplify installation
  * d/rules: move clean-up to d/clean
  * d/rules: remove redundant note, dh_strip already removes these sections
  * d/p/0017: snprintf() instead of sprintf() (Closes: #992407)

  [ Andreas Tille ]
  Trim trailing whitespace.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 30 Jun 2025 21:53:56 +0200

elvis-tiny (1.4-24.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install into /usr/bin instead of /bin (DEP17 M2). (Closes: #1059181)
    Per the general plan for the distribution, the paths given to
    update-alternatives are kept unchanged.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 21:56:03 +0100

elvis-tiny (1.4-24.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Strip build date to enable reproducible building. (Closes: #829755)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #901345)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 06 Oct 2022 14:10:44 -0700

elvis-tiny (1.4-24) unstable; urgency=low

  * remove bin/vi wrapper, incompatible with / + /usr merge (closes: #540928,#813857)
  * Depends instead of Pre-depends for ${shlibs:Depends} (closes: #827006)

 -- Miquel van Smoorenburg <miquels@debian.org>  Fri, 11 Nov 2016 16:07:17 +0100

elvis-tiny (1.4-23) unstable; urgency=low

  * convert to new source format
  * convert to debhelper
  * fix some more gcc warnings
  * link with -ltinfo instead of -lncurses
  * change maintainer email address to debian email address

 -- Miquel van Smoorenburg <miquels@debian.org>  Sat, 30 Jun 2012 10:13:28 +0200

elvis-tiny (1.4-22) unstable; urgency=low

  * make window-resizing work (closes: #168231)
  * use sigsetjmp/siglongjmp so that jumping out of a
    signal handler sort of works (it's a bad idea anyway) (closes: #161734)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 30 Apr 2008 23:05:37 +0200

elvis-tiny (1.4-21) unstable; urgency=low

  * Honour DEB_BUILD_OPTIONS debug and nostrip (closes: #436816)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Apr 2008 22:45:21 +0200

elvis-tiny (1.4-20) unstable; urgency=low

  * Fix overflow in command line processing (closes: #203258).
    Note that elvis-tiny is riddled with strcpy's and fixing all of them
    would be a major undertaking akin to a rewrite.
  * Disable CTRL-Z as elvis-tiny has no suspend support
    (closes: #136862, #206518)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 26 Nov 2005 14:58:47 +0100

elvis-tiny (1.4-19) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/rules: invoke dpkg-gencontrol with -isp
  * debian/control: rephrase package description synopsis

 -- Andrew Pollock <apollock@debian.org>  Wed,  5 Oct 2005 07:02:38 +1000

elvis-tiny (1.4-18.1) unstable; urgency=low

  * 0-day NMU from the QA meeting.
  * Correcting conflicting types for 'malloc' (closes: #258640)
  * Replacing "gcc" with "$(CC)" for being able to cross-compile
    (closes: #285295)
  * Removing obsolete code for /usr/doc support (closes: #254913)

 -- Axel Beckert <abe@deuxchevaux.org>  Sun, 11 Sep 2005 02:08:26 +0200

elvis-tiny (1.4-18) unstable; urgency=low

  * Include string.h in tmp.c to solve prototype problem on
    64-bit platforms (closes: #124028)
  * tmp.c: fix problem where a TAB expanded exactly at the right margin
    and screen drawing was wrong (closes: #79385)
  * Set LC_ALL=POSIX in debian/rules

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 23 Jan 2002 22:52:47 +0100

elvis-tiny (1.4-17) unstable; urgency=low

  * Remove empty /usr/doc directory from package (closes: #121549)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 28 Nov 2001 17:13:37 +0100

elvis-tiny (1.4-16) unstable; urgency=high

  * Change arguments to ln -sf in postinst (closes: #100283,#112124)
  * Small adjustements for complete migration to termios
    instead of termio (closes: #106099)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  5 Oct 2001 13:10:51 +0200

elvis-tiny (1.4-15) unstable; urgency=low

  * Make sure /etc/alternatives/vi also points to /bin/elvis-tiny
    and not /usr/bin/elvis-tiny (closes: #90094, #92633)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Apr 2001 17:56:50 +0200

elvis-tiny (1.4-14) unstable; urgency=low

  * Fix small bug in the range-segfault.patch patch (closes: #88119)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  1 Mar 2001 17:21:09 +0100

elvis-tiny (1.4-13) unstable; urgency=low

  * Oops. Should go into unstable only, with urgency=low...

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 21 Feb 2001 14:07:11 +0100

elvis-tiny (1.4-12) stable unstable; urgency=high

  * Patch by David Douthitt to fix subsitition bug (closes: #73059)
  * Patch by David Douthitt to fix range bug (closes: #55407)
  * Move elvis-tiny to /bin (closes: #37571)
  * Install wrapper in /bin/vi that execs /usr/bin/vi if it is
    present and /bin/elvis-tiny otherwise (closes: #72889)
  * Install alternative for 'editor' (closes: #85318)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 20 Feb 2001 14:08:19 +0100

elvis-tiny (1.4-11) stable unstable; urgency=high

  * The patch by Topi Miettinen to fix critical bug #74976 broke
    file recovery, but also the :w command. Re-engineered the patch

