=== debian/control ===
Source: elvis-tiny
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: base
Priority: standard
Build-Depends: libncurses-dev,
               debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/elvis-tiny
Vcs-Git: https://salsa.debian.org/debian/elvis-tiny.git
Homepage: https://packages.debian.org/elvis-tiny

Package: elvis-tiny
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tiny vi compatible editor for the base system
 Elvis-tiny is based on a 1991 Minix version of elvis. You should install
 another vi-editor (such as "vim", "elvis" or "nvi") if you want a vi
 editor that is full featured and has no bugs.
