=== debian/rules ===
#! /usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
EXTRA_CFLAGS    = -g
endif

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build -- -f Makefile.mix EXTRA_CFLAGS="$(EXTRA_CFLAGS) -Wno-unused-result -Wno-error=incompatible-pointer-types"

override_dh_auto_install:
	install -m 755 elvis debian/elvis-tiny/usr/bin/elvis-tiny

override_dh_auto_clean:
	make -f Makefile.mix clobber

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream
